Index: contrib/ntp/ntpq/ntpq-opts.c
===================================================================
--- contrib/ntp/ntpq/ntpq-opts.c	(版本 314126)
+++ contrib/ntp/ntpq/ntpq-opts.c	(版本 316722)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (ntpq-opts.c)
  *
- *  It has been AutoGen-ed  November 21, 2016 at 08:02:38 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  March 21, 2017 at 10:45:05 AM by AutoGen 5.18.5
  *  From the definitions    ntpq-opts.def
  *  and the template file   options
  *
@@ -18,7 +18,7 @@
  * The ntpq program is copyrighted and licensed
  * under the following terms:
  *
- *  Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.
+ *  Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.
  *  This is free software. It is licensed for use, modification and
  *  redistribution under the terms of the NTP License, copies of which
  *  can be seen at:
@@ -50,7 +50,7 @@
 #endif
 extern FILE * option_usage_fp;
 #define zCopyright      (ntpq_opt_strs+0)
-#define zLicenseDescrip (ntpq_opt_strs+340)
+#define zLicenseDescrip (ntpq_opt_strs+341)
 
 /*
  *  global included definitions
@@ -68,15 +68,15 @@
 /**
  *  static const strings for ntpq options
  */
-static char const ntpq_opt_strs[1982] =
-/*     0 */ "ntpq 4.2.8p9\n"
-            "Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n"
+static char const ntpq_opt_strs[1985] =
+/*     0 */ "ntpq 4.2.8p10\n"
+            "Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.\n"
             "This is free software. It is licensed for use, modification and\n"
             "redistribution under the terms of the NTP License, copies of which\n"
             "can be seen at:\n"
             "  <http://ntp.org/license>\n"
             "  <http://opensource.org/licenses/ntp-license.php>\n\0"
-/*   340 */ "Permission to use, copy, modify, and distribute this software and its\n"
+/*   341 */ "Permission to use, copy, modify, and distribute this software and its\n"
             "documentation for any purpose with or without fee is hereby granted,\n"
             "provided that the above copyright notice appears in all copies and that\n"
             "both the copyright notice and this permission notice appear in supporting\n"
@@ -86,60 +86,60 @@
             "Time Foundation makes no representations about the suitability this\n"
             "software for any purpose.  It is provided \"as is\" without express or\n"
             "implied warranty.\n\0"
-/*  1008 */ "Force IPv4 DNS name resolution\0"
-/*  1039 */ "IPV4\0"
-/*  1044 */ "ipv4\0"
-/*  1049 */ "Force IPv6 DNS name resolution\0"
-/*  1080 */ "IPV6\0"
-/*  1085 */ "ipv6\0"
-/*  1090 */ "run a command and exit\0"
-/*  1113 */ "COMMAND\0"
-/*  1121 */ "command\0"
-/*  1129 */ "Increase debug verbosity level\0"
-/*  1160 */ "DEBUG_LEVEL\0"
-/*  1172 */ "debug-level\0"
-/*  1184 */ "Set the debug verbosity level\0"
-/*  1214 */ "SET_DEBUG_LEVEL\0"
-/*  1230 */ "set-debug-level\0"
-/*  1246 */ "Force ntpq to operate in interactive mode\0"
-/*  1288 */ "INTERACTIVE\0"
-/*  1300 */ "interactive\0"
-/*  1312 */ "numeric host addresses\0"
-/*  1335 */ "NUMERIC\0"
-/*  1343 */ "numeric\0"
-/*  1351 */ "Always output status line with readvar\0"
-/*  1390 */ "OLD_RV\0"
-/*  1397 */ "old-rv\0"
-/*  1404 */ "Print a list of the peers\0"
-/*  1430 */ "PEERS\0"
-/*  1436 */ "peers\0"
-/*  1442 */ "Set default display type for S2+ refids\0"
-/*  1482 */ "REFID\0"
-/*  1488 */ "refid\0"
-/*  1494 */ "Display the full 'remote' value\0"
-/*  1526 */ "WIDE\0"
-/*  1531 */ "wide\0"
-/*  1536 */ "display extended usage information and exit\0"
-/*  1580 */ "help\0"
-/*  1585 */ "extended usage information passed thru pager\0"
-/*  1630 */ "more-help\0"
-/*  1640 */ "output version information and exit\0"
-/*  1676 */ "version\0"
-/*  1684 */ "save the option state to a config file\0"
-/*  1723 */ "save-opts\0"
-/*  1733 */ "load options from a config file\0"
-/*  1765 */ "LOAD_OPTS\0"
-/*  1775 */ "no-load-opts\0"
-/*  1788 */ "no\0"
-/*  1791 */ "NTPQ\0"
-/*  1796 */ "ntpq - standard NTP query program - Ver. 4.2.8p9\n"
+/*  1009 */ "Force IPv4 DNS name resolution\0"
+/*  1040 */ "IPV4\0"
+/*  1045 */ "ipv4\0"
+/*  1050 */ "Force IPv6 DNS name resolution\0"
+/*  1081 */ "IPV6\0"
+/*  1086 */ "ipv6\0"
+/*  1091 */ "run a command and exit\0"
+/*  1114 */ "COMMAND\0"
+/*  1122 */ "command\0"
+/*  1130 */ "Increase debug verbosity level\0"
+/*  1161 */ "DEBUG_LEVEL\0"
+/*  1173 */ "debug-level\0"
+/*  1185 */ "Set the debug verbosity level\0"
+/*  1215 */ "SET_DEBUG_LEVEL\0"
+/*  1231 */ "set-debug-level\0"
+/*  1247 */ "Force ntpq to operate in interactive mode\0"
+/*  1289 */ "INTERACTIVE\0"
+/*  1301 */ "interactive\0"
+/*  1313 */ "numeric host addresses\0"
+/*  1336 */ "NUMERIC\0"
+/*  1344 */ "numeric\0"
+/*  1352 */ "Always output status line with readvar\0"
+/*  1391 */ "OLD_RV\0"
+/*  1398 */ "old-rv\0"
+/*  1405 */ "Print a list of the peers\0"
+/*  1431 */ "PEERS\0"
+/*  1437 */ "peers\0"
+/*  1443 */ "Set default display type for S2+ refids\0"
+/*  1483 */ "REFID\0"
+/*  1489 */ "refid\0"
+/*  1495 */ "Display the full 'remote' value\0"
+/*  1527 */ "WIDE\0"
+/*  1532 */ "wide\0"
+/*  1537 */ "display extended usage information and exit\0"
+/*  1581 */ "help\0"
+/*  1586 */ "extended usage information passed thru pager\0"
+/*  1631 */ "more-help\0"
+/*  1641 */ "output version information and exit\0"
+/*  1677 */ "version\0"
+/*  1685 */ "save the option state to a config file\0"
+/*  1724 */ "save-opts\0"
+/*  1734 */ "load options from a config file\0"
+/*  1766 */ "LOAD_OPTS\0"
+/*  1776 */ "no-load-opts\0"
+/*  1789 */ "no\0"
+/*  1792 */ "NTPQ\0"
+/*  1797 */ "ntpq - standard NTP query program - Ver. 4.2.8p10\n"
             "Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]... [ host ...]\n\0"
-/*  1915 */ "$HOME\0"
-/*  1921 */ ".\0"
-/*  1923 */ ".ntprc\0"
-/*  1930 */ "http://bugs.ntp.org, bugs@ntp.org\0"
-/*  1964 */ "ntpq 4.2.8p9\0"
-/*  1977 */ "hash";
+/*  1917 */ "$HOME\0"
+/*  1923 */ ".\0"
+/*  1925 */ ".ntprc\0"
+/*  1932 */ "http://bugs.ntp.org, bugs@ntp.org\0"
+/*  1966 */ "ntpq 4.2.8p10\0"
+/*  1980 */ "hash";
 
 /**
  *  ipv4 option description with
@@ -146,11 +146,11 @@
  *  "Must also have options" and "Incompatible options":
  */
 /** Descriptive text for the ipv4 option */
-#define IPV4_DESC      (ntpq_opt_strs+1008)
+#define IPV4_DESC      (ntpq_opt_strs+1009)
 /** Upper-cased name for the ipv4 option */
-#define IPV4_NAME      (ntpq_opt_strs+1039)
+#define IPV4_NAME      (ntpq_opt_strs+1040)
 /** Name string for the ipv4 option */
-#define IPV4_name      (ntpq_opt_strs+1044)
+#define IPV4_name      (ntpq_opt_strs+1045)
 /** Other options that appear in conjunction with the ipv4 option */
 static int const aIpv4CantList[] = {
     INDEX_OPT_IPV6, NO_EQUIVALENT };
@@ -162,11 +162,11 @@
  *  "Must also have options" and "Incompatible options":
  */
 /** Descriptive text for the ipv6 option */
-#define IPV6_DESC      (ntpq_opt_strs+1049)
+#define IPV6_DESC      (ntpq_opt_strs+1050)
 /** Upper-cased name for the ipv6 option */
-#define IPV6_NAME      (ntpq_opt_strs+1080)
+#define IPV6_NAME      (ntpq_opt_strs+1081)
 /** Name string for the ipv6 option */
-#define IPV6_name      (ntpq_opt_strs+1085)
+#define IPV6_name      (ntpq_opt_strs+1086)
 /** Other options that appear in conjunction with the ipv6 option */
 static int const aIpv6CantList[] = {
     INDEX_OPT_IPV4, NO_EQUIVALENT };
@@ -177,11 +177,11 @@
  *  command option description:
  */
 /** Descriptive text for the command option */
-#define COMMAND_DESC      (ntpq_opt_strs+1090)
+#define COMMAND_DESC      (ntpq_opt_strs+1091)
 /** Upper-cased name for the command option */
-#define COMMAND_NAME      (ntpq_opt_strs+1113)
+#define COMMAND_NAME      (ntpq_opt_strs+1114)
 /** Name string for the command option */
-#define COMMAND_name      (ntpq_opt_strs+1121)
+#define COMMAND_name      (ntpq_opt_strs+1122)
 /** Compiled in flag settings for the command option */
 #define COMMAND_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_STRING))
@@ -190,11 +190,11 @@
  *  debug-level option description:
  */
 /** Descriptive text for the debug-level option */
-#define DEBUG_LEVEL_DESC      (ntpq_opt_strs+1129)
+#define DEBUG_LEVEL_DESC      (ntpq_opt_strs+1130)
 /** Upper-cased name for the debug-level option */
-#define DEBUG_LEVEL_NAME      (ntpq_opt_strs+1160)
+#define DEBUG_LEVEL_NAME      (ntpq_opt_strs+1161)
 /** Name string for the debug-level option */
-#define DEBUG_LEVEL_name      (ntpq_opt_strs+1172)
+#define DEBUG_LEVEL_name      (ntpq_opt_strs+1173)
 /** Compiled in flag settings for the debug-level option */
 #define DEBUG_LEVEL_FLAGS     (OPTST_DISABLED)
 
@@ -202,11 +202,11 @@
  *  set-debug-level option description:
  */
 /** Descriptive text for the set-debug-level option */
-#define SET_DEBUG_LEVEL_DESC      (ntpq_opt_strs+1184)
+#define SET_DEBUG_LEVEL_DESC      (ntpq_opt_strs+1185)
 /** Upper-cased name for the set-debug-level option */
-#define SET_DEBUG_LEVEL_NAME      (ntpq_opt_strs+1214)
+#define SET_DEBUG_LEVEL_NAME      (ntpq_opt_strs+1215)
 /** Name string for the set-debug-level option */
-#define SET_DEBUG_LEVEL_name      (ntpq_opt_strs+1230)
+#define SET_DEBUG_LEVEL_name      (ntpq_opt_strs+1231)
 /** Compiled in flag settings for the set-debug-level option */
 #define SET_DEBUG_LEVEL_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_NUMERIC))
@@ -216,11 +216,11 @@
  *  "Must also have options" and "Incompatible options":
  */
 /** Descriptive text for the interactive option */
-#define INTERACTIVE_DESC      (ntpq_opt_strs+1246)
+#define INTERACTIVE_DESC      (ntpq_opt_strs+1247)
 /** Upper-cased name for the interactive option */
-#define INTERACTIVE_NAME      (ntpq_opt_strs+1288)
+#define INTERACTIVE_NAME      (ntpq_opt_strs+1289)
 /** Name string for the interactive option */
-#define INTERACTIVE_name      (ntpq_opt_strs+1300)
+#define INTERACTIVE_name      (ntpq_opt_strs+1301)
 /** Other options that appear in conjunction with the interactive option */
 static int const aInteractiveCantList[] = {
     INDEX_OPT_COMMAND,
@@ -232,11 +232,11 @@
  *  numeric option description:
  */
 /** Descriptive text for the numeric option */
-#define NUMERIC_DESC      (ntpq_opt_strs+1312)
+#define NUMERIC_DESC      (ntpq_opt_strs+1313)
 /** Upper-cased name for the numeric option */
-#define NUMERIC_NAME      (ntpq_opt_strs+1335)
+#define NUMERIC_NAME      (ntpq_opt_strs+1336)
 /** Name string for the numeric option */
-#define NUMERIC_name      (ntpq_opt_strs+1343)
+#define NUMERIC_name      (ntpq_opt_strs+1344)
 /** Compiled in flag settings for the numeric option */
 #define NUMERIC_FLAGS     (OPTST_DISABLED)
 
@@ -244,11 +244,11 @@
  *  old-rv option description:
  */
 /** Descriptive text for the old-rv option */
-#define OLD_RV_DESC      (ntpq_opt_strs+1351)
+#define OLD_RV_DESC      (ntpq_opt_strs+1352)
 /** Upper-cased name for the old-rv option */
-#define OLD_RV_NAME      (ntpq_opt_strs+1390)
+#define OLD_RV_NAME      (ntpq_opt_strs+1391)
 /** Name string for the old-rv option */
-#define OLD_RV_name      (ntpq_opt_strs+1397)
+#define OLD_RV_name      (ntpq_opt_strs+1398)
 /** Compiled in flag settings for the old-rv option */
 #define OLD_RV_FLAGS     (OPTST_DISABLED)
 
@@ -257,11 +257,11 @@
  *  "Must also have options" and "Incompatible options":
  */
 /** Descriptive text for the peers option */
-#define PEERS_DESC      (ntpq_opt_strs+1404)
+#define PEERS_DESC      (ntpq_opt_strs+1405)
 /** Upper-cased name for the peers option */
-#define PEERS_NAME      (ntpq_opt_strs+1430)
+#define PEERS_NAME      (ntpq_opt_strs+1431)
 /** Name string for the peers option */
-#define PEERS_name      (ntpq_opt_strs+1436)
+#define PEERS_name      (ntpq_opt_strs+1437)
 /** Other options that appear in conjunction with the peers option */
 static int const aPeersCantList[] = {
     INDEX_OPT_INTERACTIVE, NO_EQUIVALENT };
@@ -272,11 +272,11 @@
  *  refid option description:
  */
 /** Descriptive text for the refid option */
-#define REFID_DESC      (ntpq_opt_strs+1442)
+#define REFID_DESC      (ntpq_opt_strs+1443)
 /** Upper-cased name for the refid option */
-#define REFID_NAME      (ntpq_opt_strs+1482)
+#define REFID_NAME      (ntpq_opt_strs+1483)
 /** Name string for the refid option */
-#define REFID_name      (ntpq_opt_strs+1488)
+#define REFID_name      (ntpq_opt_strs+1489)
 /** The compiled in default value for the refid option argument */
 #define REFID_DFT_ARG   ((char const*)REFID_IPV4)
 /** Compiled in flag settings for the refid option */
@@ -287,11 +287,11 @@
  *  wide option description:
  */
 /** Descriptive text for the wide option */
-#define WIDE_DESC      (ntpq_opt_strs+1494)
+#define WIDE_DESC      (ntpq_opt_strs+1495)
 /** Upper-cased name for the wide option */
-#define WIDE_NAME      (ntpq_opt_strs+1526)
+#define WIDE_NAME      (ntpq_opt_strs+1527)
 /** Name string for the wide option */
-#define WIDE_name      (ntpq_opt_strs+1531)
+#define WIDE_name      (ntpq_opt_strs+1532)
 /** Compiled in flag settings for the wide option */
 #define WIDE_FLAGS     (OPTST_DISABLED)
 
@@ -298,11 +298,11 @@
 /*
  *  Help/More_Help/Version option descriptions:
  */
-#define HELP_DESC       (ntpq_opt_strs+1536)
-#define HELP_name       (ntpq_opt_strs+1580)
+#define HELP_DESC       (ntpq_opt_strs+1537)
+#define HELP_name       (ntpq_opt_strs+1581)
 #ifdef HAVE_WORKING_FORK
-#define MORE_HELP_DESC  (ntpq_opt_strs+1585)
-#define MORE_HELP_name  (ntpq_opt_strs+1630)
+#define MORE_HELP_DESC  (ntpq_opt_strs+1586)
+#define MORE_HELP_name  (ntpq_opt_strs+1631)
 #define MORE_HELP_FLAGS (OPTST_IMM | OPTST_NO_INIT)
 #else
 #define MORE_HELP_DESC  HELP_DESC
@@ -315,14 +315,14 @@
 #  define VER_FLAGS     (OPTST_SET_ARGTYPE(OPARG_TYPE_STRING) | \
                          OPTST_ARG_OPTIONAL | OPTST_IMM | OPTST_NO_INIT)
 #endif
-#define VER_DESC        (ntpq_opt_strs+1640)
-#define VER_name        (ntpq_opt_strs+1676)
-#define SAVE_OPTS_DESC  (ntpq_opt_strs+1684)
-#define SAVE_OPTS_name  (ntpq_opt_strs+1723)
-#define LOAD_OPTS_DESC     (ntpq_opt_strs+1733)
-#define LOAD_OPTS_NAME     (ntpq_opt_strs+1765)
-#define NO_LOAD_OPTS_name  (ntpq_opt_strs+1775)
-#define LOAD_OPTS_pfx      (ntpq_opt_strs+1788)
+#define VER_DESC        (ntpq_opt_strs+1641)
+#define VER_name        (ntpq_opt_strs+1677)
+#define SAVE_OPTS_DESC  (ntpq_opt_strs+1685)
+#define SAVE_OPTS_name  (ntpq_opt_strs+1724)
+#define LOAD_OPTS_DESC     (ntpq_opt_strs+1734)
+#define LOAD_OPTS_NAME     (ntpq_opt_strs+1766)
+#define NO_LOAD_OPTS_name  (ntpq_opt_strs+1776)
+#define LOAD_OPTS_pfx      (ntpq_opt_strs+1789)
 #define LOAD_OPTS_name     (NO_LOAD_OPTS_name + 3)
 /**
  *  Declare option callback procedures
@@ -543,24 +543,24 @@
 
 /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
 /** Reference to the upper cased version of ntpq. */
-#define zPROGNAME       (ntpq_opt_strs+1791)
+#define zPROGNAME       (ntpq_opt_strs+1792)
 /** Reference to the title line for ntpq usage. */
-#define zUsageTitle     (ntpq_opt_strs+1796)
+#define zUsageTitle     (ntpq_opt_strs+1797)
 /** ntpq configuration file name. */
-#define zRcName         (ntpq_opt_strs+1923)
+#define zRcName         (ntpq_opt_strs+1925)
 /** Directories to search for ntpq config files. */
 static char const * const apzHomeList[3] = {
-    ntpq_opt_strs+1915,
-    ntpq_opt_strs+1921,
+    ntpq_opt_strs+1917,
+    ntpq_opt_strs+1923,
     NULL };
 /** The ntpq program bug email address. */
-#define zBugsAddr       (ntpq_opt_strs+1930)
+#define zBugsAddr       (ntpq_opt_strs+1932)
 /** Clarification/explanation of what ntpq does. */
 #define zExplain        (NULL)
 /** Extra detail explaining what ntpq does. */
 #define zDetail         (NULL)
 /** The full version string for ntpq. */
-#define zFullVersion    (ntpq_opt_strs+1964)
+#define zFullVersion    (ntpq_opt_strs+1966)
 /* extracted from optcode.tlib near line 364 */
 
 #if defined(ENABLE_NLS)
@@ -633,7 +633,7 @@
 
 /* extracted from optmain.tlib near line 945 */
     static char const * const names[2] = {
-        ntpq_opt_strs+1977, ntpq_opt_strs+1044 };
+        ntpq_opt_strs+1980, ntpq_opt_strs+1045 };
 
     if (pOptions <= OPTPROC_EMIT_LIMIT) {
         (void) optionEnumerationVal(pOptions, pOptDesc, names, 2);
@@ -841,8 +841,8 @@
      translate option names.
    */
   /* referenced via ntpqOptions.pzCopyright */
-  puts(_("ntpq 4.2.8p9\n\
-Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n\
+  puts(_("ntpq 4.2.8p10\n\
+Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.\n\
 This is free software. It is licensed for use, modification and\n\
 redistribution under the terms of the NTP License, copies of which\n\
 can be seen at:\n"));
@@ -910,11 +910,11 @@
   puts(_("load options from a config file"));
 
   /* referenced via ntpqOptions.pzUsageTitle */
-  puts(_("ntpq - standard NTP query program - Ver. 4.2.8p9\n\
+  puts(_("ntpq - standard NTP query program - Ver. 4.2.8p10\n\
 Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]... [ host ...]\n"));
 
   /* referenced via ntpqOptions.pzFullVersion */
-  puts(_("ntpq 4.2.8p9"));
+  puts(_("ntpq 4.2.8p10"));
 
   /* referenced via ntpqOptions.pzFullUsage */
   puts(_("<<<NOT-FOUND>>>"));
Index: contrib/ntp/ntpq/ntpq.1ntpqmdoc
===================================================================
--- contrib/ntp/ntpq/ntpq.1ntpqmdoc	(版本 314126)
+++ contrib/ntp/ntpq/ntpq.1ntpqmdoc	(版本 316722)
@@ -1,9 +1,9 @@
-.Dd November 21 2016
+.Dd March 21 2017
 .Dt NTPQ 1ntpqmdoc User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (ntpq-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  November 21, 2016 at 08:03:08 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  March 21, 2017 at 10:45:31 AM by AutoGen 5.18.5
 .\"  From the definitions    ntpq-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
@@ -975,7 +975,7 @@
 .Sh "AUTHORS"
 The University of Delaware and Network Time Foundation
 .Sh "COPYRIGHT"
-Copyright (C) 1992\-2016 The University of Delaware and Network Time Foundation all rights reserved.
+Copyright (C) 1992\-2017 The University of Delaware and Network Time Foundation all rights reserved.
 This program is released under the terms of the NTP license, <http://ntp.org/license>.
 .Sh "BUGS"
 Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org
Index: contrib/ntp/ntpq/ntpq.mdoc.in
===================================================================
--- contrib/ntp/ntpq/ntpq.mdoc.in	(版本 314126)
+++ contrib/ntp/ntpq/ntpq.mdoc.in	(版本 316722)
@@ -1,9 +1,9 @@
-.Dd November 21 2016
+.Dd March 21 2017
 .Dt NTPQ @NTPQ_MS@ User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (ntpq-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  November 21, 2016 at 08:03:08 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  March 21, 2017 at 10:45:31 AM by AutoGen 5.18.5
 .\"  From the definitions    ntpq-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
@@ -975,7 +975,7 @@
 .Sh "AUTHORS"
 The University of Delaware and Network Time Foundation
 .Sh "COPYRIGHT"
-Copyright (C) 1992\-2016 The University of Delaware and Network Time Foundation all rights reserved.
+Copyright (C) 1992\-2017 The University of Delaware and Network Time Foundation all rights reserved.
 This program is released under the terms of the NTP license, <http://ntp.org/license>.
 .Sh "BUGS"
 Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org
Index: contrib/ntp/ntpsnmpd/ntpsnmpd-opts.c
===================================================================
--- contrib/ntp/ntpsnmpd/ntpsnmpd-opts.c	(版本 314126)
+++ contrib/ntp/ntpsnmpd/ntpsnmpd-opts.c	(版本 316722)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (ntpsnmpd-opts.c)
  *
- *  It has been AutoGen-ed  November 21, 2016 at 08:03:11 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  March 21, 2017 at 10:45:37 AM by AutoGen 5.18.5
  *  From the definitions    ntpsnmpd-opts.def
  *  and the template file   options
  *
@@ -18,7 +18,7 @@
  * The ntpsnmpd program is copyrighted and licensed
  * under the following terms:
  *
- *  Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.
+ *  Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.
  *  This is free software. It is licensed for use, modification and
  *  redistribution under the terms of the NTP License, copies of which
  *  can be seen at:
@@ -50,7 +50,7 @@
 #endif
 extern FILE * option_usage_fp;
 #define zCopyright      (ntpsnmpd_opt_strs+0)
-#define zLicenseDescrip (ntpsnmpd_opt_strs+344)
+#define zLicenseDescrip (ntpsnmpd_opt_strs+345)
 
 
 #ifndef NULL
@@ -60,15 +60,15 @@
 /**
  *  static const strings for ntpsnmpd options
  */
-static char const ntpsnmpd_opt_strs[1610] =
-/*     0 */ "ntpsnmpd 4.2.8p9\n"
-            "Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n"
+static char const ntpsnmpd_opt_strs[1613] =
+/*     0 */ "ntpsnmpd 4.2.8p10\n"
+            "Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.\n"
             "This is free software. It is licensed for use, modification and\n"
             "redistribution under the terms of the NTP License, copies of which\n"
             "can be seen at:\n"
             "  <http://ntp.org/license>\n"
             "  <http://opensource.org/licenses/ntp-license.php>\n\0"
-/*   344 */ "Permission to use, copy, modify, and distribute this software and its\n"
+/*   345 */ "Permission to use, copy, modify, and distribute this software and its\n"
             "documentation for any purpose with or without fee is hereby granted,\n"
             "provided that the above copyright notice appears in all copies and that\n"
             "both the copyright notice and this permission notice appear in supporting\n"
@@ -78,47 +78,47 @@
             "Time Foundation makes no representations about the suitability this\n"
             "software for any purpose.  It is provided \"as is\" without express or\n"
             "implied warranty.\n\0"
-/*  1012 */ "Do not fork\0"
-/*  1024 */ "NOFORK\0"
-/*  1031 */ "nofork\0"
-/*  1038 */ "Log to syslog()\0"
-/*  1054 */ "SYSLOG\0"
-/*  1061 */ "syslog\0"
-/*  1068 */ "The socket address ntpsnmpd uses to connect to net-snmpd\0"
-/*  1125 */ "AGENTXSOCKET\0"
-/*  1138 */ "agentxsocket\0"
-/*  1151 */ "unix:/var/agentx/master\0"
-/*  1175 */ "display extended usage information and exit\0"
-/*  1219 */ "help\0"
-/*  1224 */ "extended usage information passed thru pager\0"
-/*  1269 */ "more-help\0"
-/*  1279 */ "output version information and exit\0"
-/*  1315 */ "version\0"
-/*  1323 */ "save the option state to a config file\0"
-/*  1362 */ "save-opts\0"
-/*  1372 */ "load options from a config file\0"
-/*  1404 */ "LOAD_OPTS\0"
-/*  1414 */ "no-load-opts\0"
-/*  1427 */ "no\0"
-/*  1430 */ "NTPSNMPD\0"
-/*  1439 */ "ntpsnmpd - NTP SNMP MIB agent - Ver. 4.2.8p9\n"
+/*  1013 */ "Do not fork\0"
+/*  1025 */ "NOFORK\0"
+/*  1032 */ "nofork\0"
+/*  1039 */ "Log to syslog()\0"
+/*  1055 */ "SYSLOG\0"
+/*  1062 */ "syslog\0"
+/*  1069 */ "The socket address ntpsnmpd uses to connect to net-snmpd\0"
+/*  1126 */ "AGENTXSOCKET\0"
+/*  1139 */ "agentxsocket\0"
+/*  1152 */ "unix:/var/agentx/master\0"
+/*  1176 */ "display extended usage information and exit\0"
+/*  1220 */ "help\0"
+/*  1225 */ "extended usage information passed thru pager\0"
+/*  1270 */ "more-help\0"
+/*  1280 */ "output version information and exit\0"
+/*  1316 */ "version\0"
+/*  1324 */ "save the option state to a config file\0"
+/*  1363 */ "save-opts\0"
+/*  1373 */ "load options from a config file\0"
+/*  1405 */ "LOAD_OPTS\0"
+/*  1415 */ "no-load-opts\0"
+/*  1428 */ "no\0"
+/*  1431 */ "NTPSNMPD\0"
+/*  1440 */ "ntpsnmpd - NTP SNMP MIB agent - Ver. 4.2.8p10\n"
             "Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]...\n\0"
-/*  1542 */ "$HOME\0"
-/*  1548 */ ".\0"
-/*  1550 */ ".ntprc\0"
-/*  1557 */ "http://bugs.ntp.org, bugs@ntp.org\0"
-/*  1591 */ "\n\0"
-/*  1593 */ "ntpsnmpd 4.2.8p9";
+/*  1544 */ "$HOME\0"
+/*  1550 */ ".\0"
+/*  1552 */ ".ntprc\0"
+/*  1559 */ "http://bugs.ntp.org, bugs@ntp.org\0"
+/*  1593 */ "\n\0"
+/*  1595 */ "ntpsnmpd 4.2.8p10";
 
 /**
  *  nofork option description:
  */
 /** Descriptive text for the nofork option */
-#define NOFORK_DESC      (ntpsnmpd_opt_strs+1012)
+#define NOFORK_DESC      (ntpsnmpd_opt_strs+1013)
 /** Upper-cased name for the nofork option */
-#define NOFORK_NAME      (ntpsnmpd_opt_strs+1024)
+#define NOFORK_NAME      (ntpsnmpd_opt_strs+1025)
 /** Name string for the nofork option */
-#define NOFORK_name      (ntpsnmpd_opt_strs+1031)
+#define NOFORK_name      (ntpsnmpd_opt_strs+1032)
 /** Compiled in flag settings for the nofork option */
 #define NOFORK_FLAGS     (OPTST_DISABLED)
 
@@ -126,11 +126,11 @@
  *  syslog option description:
  */
 /** Descriptive text for the syslog option */
-#define SYSLOG_DESC      (ntpsnmpd_opt_strs+1038)
+#define SYSLOG_DESC      (ntpsnmpd_opt_strs+1039)
 /** Upper-cased name for the syslog option */
-#define SYSLOG_NAME      (ntpsnmpd_opt_strs+1054)
+#define SYSLOG_NAME      (ntpsnmpd_opt_strs+1055)
 /** Name string for the syslog option */
-#define SYSLOG_name      (ntpsnmpd_opt_strs+1061)
+#define SYSLOG_name      (ntpsnmpd_opt_strs+1062)
 /** Compiled in flag settings for the syslog option */
 #define SYSLOG_FLAGS     (OPTST_DISABLED)
 
@@ -138,13 +138,13 @@
  *  agentXSocket option description:
  */
 /** Descriptive text for the agentXSocket option */
-#define AGENTXSOCKET_DESC      (ntpsnmpd_opt_strs+1068)
+#define AGENTXSOCKET_DESC      (ntpsnmpd_opt_strs+1069)
 /** Upper-cased name for the agentXSocket option */
-#define AGENTXSOCKET_NAME      (ntpsnmpd_opt_strs+1125)
+#define AGENTXSOCKET_NAME      (ntpsnmpd_opt_strs+1126)
 /** Name string for the agentXSocket option */
-#define AGENTXSOCKET_name      (ntpsnmpd_opt_strs+1138)
+#define AGENTXSOCKET_name      (ntpsnmpd_opt_strs+1139)
 /** The compiled in default value for the agentXSocket option argument */
-#define AGENTXSOCKET_DFT_ARG   (ntpsnmpd_opt_strs+1151)
+#define AGENTXSOCKET_DFT_ARG   (ntpsnmpd_opt_strs+1152)
 /** Compiled in flag settings for the agentXSocket option */
 #define AGENTXSOCKET_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_STRING))
@@ -152,11 +152,11 @@
 /*
  *  Help/More_Help/Version option descriptions:
  */
-#define HELP_DESC       (ntpsnmpd_opt_strs+1175)
-#define HELP_name       (ntpsnmpd_opt_strs+1219)
+#define HELP_DESC       (ntpsnmpd_opt_strs+1176)
+#define HELP_name       (ntpsnmpd_opt_strs+1220)
 #ifdef HAVE_WORKING_FORK
-#define MORE_HELP_DESC  (ntpsnmpd_opt_strs+1224)
-#define MORE_HELP_name  (ntpsnmpd_opt_strs+1269)
+#define MORE_HELP_DESC  (ntpsnmpd_opt_strs+1225)
+#define MORE_HELP_name  (ntpsnmpd_opt_strs+1270)
 #define MORE_HELP_FLAGS (OPTST_IMM | OPTST_NO_INIT)
 #else
 #define MORE_HELP_DESC  HELP_DESC
@@ -169,14 +169,14 @@
 #  define VER_FLAGS     (OPTST_SET_ARGTYPE(OPARG_TYPE_STRING) | \
                          OPTST_ARG_OPTIONAL | OPTST_IMM | OPTST_NO_INIT)
 #endif
-#define VER_DESC        (ntpsnmpd_opt_strs+1279)
-#define VER_name        (ntpsnmpd_opt_strs+1315)
-#define SAVE_OPTS_DESC  (ntpsnmpd_opt_strs+1323)
-#define SAVE_OPTS_name  (ntpsnmpd_opt_strs+1362)
-#define LOAD_OPTS_DESC     (ntpsnmpd_opt_strs+1372)
-#define LOAD_OPTS_NAME     (ntpsnmpd_opt_strs+1404)
-#define NO_LOAD_OPTS_name  (ntpsnmpd_opt_strs+1414)
-#define LOAD_OPTS_pfx      (ntpsnmpd_opt_strs+1427)
+#define VER_DESC        (ntpsnmpd_opt_strs+1280)
+#define VER_name        (ntpsnmpd_opt_strs+1316)
+#define SAVE_OPTS_DESC  (ntpsnmpd_opt_strs+1324)
+#define SAVE_OPTS_name  (ntpsnmpd_opt_strs+1363)
+#define LOAD_OPTS_DESC     (ntpsnmpd_opt_strs+1373)
+#define LOAD_OPTS_NAME     (ntpsnmpd_opt_strs+1405)
+#define NO_LOAD_OPTS_name  (ntpsnmpd_opt_strs+1415)
+#define LOAD_OPTS_pfx      (ntpsnmpd_opt_strs+1428)
 #define LOAD_OPTS_name     (NO_LOAD_OPTS_name + 3)
 /**
  *  Declare option callback procedures
@@ -301,24 +301,24 @@
 
 /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
 /** Reference to the upper cased version of ntpsnmpd. */
-#define zPROGNAME       (ntpsnmpd_opt_strs+1430)
+#define zPROGNAME       (ntpsnmpd_opt_strs+1431)
 /** Reference to the title line for ntpsnmpd usage. */
-#define zUsageTitle     (ntpsnmpd_opt_strs+1439)
+#define zUsageTitle     (ntpsnmpd_opt_strs+1440)
 /** ntpsnmpd configuration file name. */
-#define zRcName         (ntpsnmpd_opt_strs+1550)
+#define zRcName         (ntpsnmpd_opt_strs+1552)
 /** Directories to search for ntpsnmpd config files. */
 static char const * const apzHomeList[3] = {
-    ntpsnmpd_opt_strs+1542,
-    ntpsnmpd_opt_strs+1548,
+    ntpsnmpd_opt_strs+1544,
+    ntpsnmpd_opt_strs+1550,
     NULL };
 /** The ntpsnmpd program bug email address. */
-#define zBugsAddr       (ntpsnmpd_opt_strs+1557)
+#define zBugsAddr       (ntpsnmpd_opt_strs+1559)
 /** Clarification/explanation of what ntpsnmpd does. */
-#define zExplain        (ntpsnmpd_opt_strs+1591)
+#define zExplain        (ntpsnmpd_opt_strs+1593)
 /** Extra detail explaining what ntpsnmpd does. */
 #define zDetail         (NULL)
 /** The full version string for ntpsnmpd. */
-#define zFullVersion    (ntpsnmpd_opt_strs+1593)
+#define zFullVersion    (ntpsnmpd_opt_strs+1595)
 /* extracted from optcode.tlib near line 364 */
 
 #if defined(ENABLE_NLS)
@@ -554,8 +554,8 @@
      translate option names.
    */
   /* referenced via ntpsnmpdOptions.pzCopyright */
-  puts(_("ntpsnmpd 4.2.8p9\n\
-Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n\
+  puts(_("ntpsnmpd 4.2.8p10\n\
+Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.\n\
 This is free software. It is licensed for use, modification and\n\
 redistribution under the terms of the NTP License, copies of which\n\
 can be seen at:\n"));
@@ -599,7 +599,7 @@
   puts(_("load options from a config file"));
 
   /* referenced via ntpsnmpdOptions.pzUsageTitle */
-  puts(_("ntpsnmpd - NTP SNMP MIB agent - Ver. 4.2.8p9\n\
+  puts(_("ntpsnmpd - NTP SNMP MIB agent - Ver. 4.2.8p10\n\
 Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]...\n"));
 
   /* referenced via ntpsnmpdOptions.pzExplain */
@@ -606,7 +606,7 @@
   puts(_("\n"));
 
   /* referenced via ntpsnmpdOptions.pzFullVersion */
-  puts(_("ntpsnmpd 4.2.8p9"));
+  puts(_("ntpsnmpd 4.2.8p10"));
 
   /* referenced via ntpsnmpdOptions.pzFullUsage */
   puts(_("<<<NOT-FOUND>>>"));
Index: contrib/ntp/parseutil/Makefile.am
===================================================================
--- contrib/ntp/parseutil/Makefile.am	(版本 314126)
+++ contrib/ntp/parseutil/Makefile.am	(版本 316722)
@@ -5,11 +5,15 @@
 noinst_PROGRAMS = @TESTDCF@ @DCFD@
 EXTRA_PROGRAMS = testdcf dcfd
 
-AM_CFLAGS = $(CFLAGS_NTP)
+AM_CFLAGS  = $(CFLAGS_NTP)
+AM_CFLAGS += $(NTP_HARD_CFLAGS)
 
 AM_CPPFLAGS  = $(NTP_INCS)
 AM_CPPFLAGS += $(CPPFLAGS_NTP)
+AM_CPPFLAGS += $(NTP_HARD_CPPFLAGS)
 
+AM_LDFLAGS = $(NTP_HARD_LDFLAGS)
+
 LDADD = ../libntp/libntp.a $(LDADD_LIBNTP) $(LIBM)
 
 ETAGS_ARGS = Makefile.am
